Recommended update for python-pyOpenSSL

SUSE Recommended Update: Recommended update for python-pyOpenSSL
Announcement ID: SUSE-RU-2019:0157-1
Rating: moderate
References: #1052927
Affected Products:
  • SUSE Linux Enterprise Server 12-SP4
  • SUSE Linux Enterprise Server 12-SP3
  • SUSE Linux Enterprise Desktop 12-SP4
  • SUSE Linux Enterprise Desktop 12-SP3
  • SUSE CaaS Platform 3.0

An update that has one recommended fix can now be installed.

Description:

This update for python-pyOpenSSL provides the following fix:

  • Add python-setuptools as a requirement. (bsc#1052927)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-157=1
  • SUSE Linux Enterprise Server 12-SP3:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-2019-157=1
  • SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-157=1
  • SUSE Linux Enterprise Desktop 12-SP3:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2019-157=1
  • SUSE CaaS Platform 3.0:
    To install this update, use the SUSE CaaS Platform Velum dashboard. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way.

Package List:

  • SUSE Linux Enterprise Server 12-SP4 (noarch):
    • python-pyOpenSSL-16.0.0-4.17.1
    • python3-pyOpenSSL-16.0.0-4.17.1
  • SUSE Linux Enterprise Server 12-SP3 (noarch):
    • python-pyOpenSSL-16.0.0-4.17.1
    • python3-pyOpenSSL-16.0.0-4.17.1
  • SUSE Linux Enterprise Desktop 12-SP4 (noarch):
    • python-pyOpenSSL-16.0.0-4.17.1
    • python3-pyOpenSSL-16.0.0-4.17.1
  • SUSE Linux Enterprise Desktop 12-SP3 (noarch):
    • python-pyOpenSSL-16.0.0-4.17.1
  • SUSE CaaS Platform 3.0 (noarch):
    • python-pyOpenSSL-16.0.0-4.17.1

References: